Use Digest::SHA built into perl rather than external Digest::SHA1 to simplify depende...
[ikiwiki.git] / doc / plugins / sparkline.mdwn
index 5f5d08b5e7c75cfcff14c86dbd95952e57f31dba..83e24a27d54a8912c70e089c17b37b00f745e050 100644 (file)
@@ -1,8 +1,10 @@
 [[!template id=plugin name=sparkline author="[[Joey]]"]]
-[[!tag type/chrome]]
+[[!tag type/widget]]
 
-This plugin implements the [[ikiwiki/directive/sparkline]] [[ikiwiki/directive]].
-The directive allows for easily embedding sparklines into wiki pages.
+This plugin provides the [[ikiwiki/directive/sparkline]]
+[[ikiwiki/directive]], which allows for easily embedding sparklines into
+wiki pages. A sparkline is a small word-size graphic chart, that is designed
+to be displayed alongside text.
 
 # requirements
 
@@ -14,10 +16,7 @@ to use the plugin, you will need:
   php can find it when `sparkline/Sparkline.php` is required.
 * The GD PHP module used by the Sparkline library.
 * A "php" program in the path, that can run standalone php programs.
-* [[!cpan Digest::SHA1]]
+* [[!cpan Digest::SHA]]
 
 On a Debian system, this can be accomplished by installing these packages:
 `libsparkline-php` `php5-gd` `php5-cli` `libdigest-sha1-perl`
-
-This plugin also uses the [[!cpan Digest::SHA1]] perl module.
-